Bug 1459358 - [RFE] Have a warning in Satellite 6.x that a satellite upgrade is required if a yum update only was done
[RFE] Have a warning in Satellite 6.x that a satellite upgrade is required if...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades (Show other bugs)
6.3.0
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, PrioBumpGSS, Triaged
Depends On:
Blocks: CEE_Sat6_Top_BZs/GSS_Sat6_Top_Bugs
  Show dependency treegraph
 
Reported: 2017-06-06 19:33 EDT by Kathryn Dixon
Modified: 2017-09-21 01:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1169393 None None None 2017-08-16 09:14 EDT
Red Hat Knowledge Base (Solution) 1280993 None None None 2017-08-16 09:17 EDT
Red Hat Knowledge Base (Solution) 1571383 None None None 2017-08-16 09:14 EDT
Red Hat Knowledge Base (Solution) 1579883 None None None 2017-08-16 09:13 EDT
Red Hat Knowledge Base (Solution) 2059173 None None None 2017-08-16 09:13 EDT
Red Hat Knowledge Base (Solution) 2146501 None None None 2017-08-16 09:12 EDT
Red Hat Knowledge Base (Solution) 2525481 None None None 2017-08-16 09:17 EDT
Red Hat Knowledge Base (Solution) 2531831 None None None 2017-08-16 09:17 EDT
Red Hat Knowledge Base (Article) 2053393 None None None 2017-09-07 17:15 EDT

  None (edit)
Description Kathryn Dixon 2017-06-06 19:33:51 EDT
Description of problem:

Satellite upgrades are a two step process. Since customers are at a high risk for not running both, we are asking that after a yum update on the satellite a warning is shown that they must complete the upgrade or the Satellite will not be functional.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. yum update on satellite 6
2. do not run the katello-installer --upgrade or satellite-installer --scenario satellite --upgrade


Actual results: Satellite is half updated and will have multiple failures in hammer ping


Expected results: a banner or warning on the satellite page that says "finish the upgrade with satellite-installer --scenario satellite --upgrade"


Additional info: This is a feature gap between Satellite 5 and Satellite 6. If a update is done on Satellite 5 a banner will come across the screen and state please perform a database schema upgrade.

See also https://bugzilla.redhat.com/show_bug.cgi?id=1184568
Comment 1 Craig Donnelly 2017-06-06 19:40:46 EDT
It would be nice to implement this based on the foreman schema_migrations table as a versioning system, but that would require there to be a insert into that table for every update to the Satellite version.

Personally, I would propose that like Satellite 5, we create a new table to accurately track the versions of database and when the `--upgrade` occurred that lead to the version of schema being inserted into the database.

We could then make accurate use of the version in the "schema_version" table to relate to the version of a package, for instance the 'satellite' package, perhaps a comparison with the expected 'foreman' and 'tfm-rubygem-katello' packages as well to then say, hey: the three package/plugin versions do not match the latest inserts in the "schema_version" table of the database, you need to perform a `--upgrade`!

We could show this in the Satellite WebUI (notify), forcefully send an email to the administrator accounts, or any other notification mechanism.
Comment 3 Ivan Necas 2017-06-08 04:23:56 EDT
I would suggest, as the first step, to implement this into the incomming foremain-maintain health checking tool. The idea is this would be the GOTO tool before even reaching to the support. The next step would then be to get the periodic run of the health checking tool to produce corresponding notifications in the web ui.

Note You need to log in before you can comment on or make changes to this bug.